## org.eclipse.datatools.sqltools.sqlbuilder.actions
Class ExecuteAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.datatools.sqltools.sqleditor.internal.actions.BaseExecuteAction
                      org.eclipse.datatools.sqltools.sqlbuilder.actions.ExecuteAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction, org.eclipse.ui.texteditor.IUpdate

    public class ExecuteAction

extends BaseExecuteAction

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ExecuteAction()` Creates an instance of this class.

Method Summary
`org.eclipse.datatools.sqltools.core.DatabaseIdentifier` `getDatabaseIdentifier()`
`java.lang.Runnable` `getPostRun()`
`java.lang.String` `getSQLStatements()`
`void` `run()`
`void` `setSQLBuilder(SQLBuilder sqlBuilder)`
`void` `update()`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### ExecuteAction

    public ExecuteAction()

  Creates an instance of this class. This is the default constructor.

Method Detail

### setSQLBuilder

    public void setSQLBuilder(SQLBuilder sqlBuilder)

### getDatabaseIdentifier

    public org.eclipse.datatools.sqltools.core.DatabaseIdentifier getDatabaseIdentifier()

  Specified by:
    `getDatabaseIdentifier` in class `BaseExecuteAction`

### getPostRun

    public java.lang.Runnable getPostRun()

  Specified by:
    `getPostRun` in class `BaseExecuteAction`

### getSQLStatements

    public java.lang.String getSQLStatements()

  Specified by:
    `getSQLStatements` in class `BaseExecuteAction`

### update

    public void update()

### run

    public void run()

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `BaseExecuteAction`